#pragma once

#include <QWidget>

class QPushButton;
class QLineEdit;
class QFileDialog;

namespace armarx::armem::gui
{

    class MemoryControlWidget : public QWidget
    {
        Q_OBJECT
        using This = MemoryControlWidget;

    public:

        MemoryControlWidget();

        QString getEnteredPath();

    public slots:

        void openFileBrowser();

    signals:

        void loadFromDisk();
        void storeOnDisk();

    private slots:


    signals:


    private:

        QLineEdit* _lineEdit;

        QPushButton* _openFileBrowserButton;

        QPushButton* _storeInLTMButton;
        QPushButton* _storeOnDiskButton;
        QPushButton* _loadFromDiskButton;

    };

}
