#pragma once

#include <memory>


namespace armarx::RobotUnitDataStreaming
{
    struct TimeStep;
    struct DataStreamingDescription;
    struct DataEntry;
}
namespace armarx::armem::arondto
{
    class Proprioception;
}
namespace armarx::aron::datanavigator
{
    using DictNavigatorPtr = std::shared_ptr<class DictNavigator>;
}

namespace armarx::armem::server::robot_state::proprioception
{
    class ConverterInterface
    {
    public:

        virtual ~ConverterInterface();

        virtual
        aron::datanavigator::DictNavigatorPtr convert(
            const RobotUnitDataStreaming::TimeStep& data,
            const RobotUnitDataStreaming::DataStreamingDescription& description) = 0;

    };
}

