#pragma once

#include <memory>


namespace armarx::aron::typenavigator
{
    using NavigatorPtr = std::shared_ptr<class Navigator>;

    using DictNavigatorPtr = std::shared_ptr<class DictNavigator>;
    using ListNavigatorPtr = std::shared_ptr<class ListNavigator>;
    using ObjectNavigatorPtr = std::shared_ptr<class ObjectNavigator>;
    using PoseNavigatorPtr = std::shared_ptr<class PoseNavigator>;
    using TupleNavigatorPtr = std::shared_ptr<class TupleNavigator>;
    using NDArrayNavigatorPtr = std::shared_ptr<class NDArrayNavigator>;
    using EigenMatrixNavigatorPtr = std::shared_ptr<class EigenMatrixNavigator>;
    using EigenQuaternionNavigatorPtr = std::shared_ptr<class EigenQuaternionNavigator>;
    using IVTCByteImageNavigatorPtr = std::shared_ptr<class IVTCByteImageNavigator>;
    using OpenCVMatNavigatorPtr = std::shared_ptr<class OpenCVMatNavigator>;
    using OrientationNavigatorPtr = std::shared_ptr<class OrientationNavigator>;
    using PCLPointCloudNavigatorPtr = std::shared_ptr<class PCLPointCloudNavigator>;
    using PositionNavigatorPtr = std::shared_ptr<class PositionNavigator>;
    using IntEnumNavigatorPtr = std::shared_ptr<class IntEnumNavigator>;

    using IntNavigatorPtr = std::shared_ptr<class IntNavigator>;
    using LongNavigatorPtr = std::shared_ptr<class LongNavigator>;
    using FloatNavigatorPtr = std::shared_ptr<class FloatNavigator>;
    using DoubleNavigatorPtr = std::shared_ptr<class DoubleNavigator>;
    using StringNavigatorPtr = std::shared_ptr<class StringNavigator>;
    using BoolNavigatorPtr = std::shared_ptr<class BoolNavigator>;
    using TimeNavigatorPtr = std::shared_ptr<class TimeNavigator>;

}

